Power Builder - OLEDB PB6 vs PB9, dbms ole DB is not supported

   
Vista:

OLEDB PB6 vs PB9, dbms ole DB is not supported

Publicado por jose (84 intervenciones) el 09/05/2009 09:49:11
Buenas, estoy migrando de PB6 a PB9 y de SqlServer7 a SqlServer2008. La migracion de objetos de PB se hace en un mismo servidor y se hace sin ningun error, por lo tanto tengo las fuentes en PB6 y PB9.

La conexion a sqlserver7 se hace con driver nativo y se conecta correctamente desde PB6 y PB9, pero si hago la conexion via OLEDB desde PB9 se hace correctamente pero desde PB6 me dice:

"dbms ole DB is not supported in your current instalation"

El caso es que quiero intentar NO tener que migrar los objetos a PB9 y hacer la migracion solo de la BD a sqlserver2008.

Si realizo la conexion via ODBC funciona en PB6 y PB9 el problema es que no es viable ya que me da multitud de errores y tendria que modificar todos los objetos donde haya algun select con comillas dobles y tipos de datos datetime ya que todos estos me fallan, por lo contrario con OLEDB va todo correctamente, el unico problema que he encontrado son los cursores que reciben y devuelven parametros pero la modificacion de estos si son asumibles,

¿porque me funciona en un mismo servidor la conexion OLEDB con PB9 y no con PB6?

Muchas gracias.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder